Bug 1418952 (CVE-2017-5885) - CVE-2017-5885 gtk-vnc: Integer overflow when processing SetColorMapEntries
Summary: CVE-2017-5885 gtk-vnc: Integer overflow when processing SetColorMapEntries
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5885
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418955 1418956 1425367
Blocks: 1415638 1418954
TreeView+ depends on / blocked
 
Reported: 2017-02-03 09:03 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An integer overflow flaw was found in gtk-vnc. A remote malicious VNC server could use this flaw to crash VNC viewers which are based on the gtk-vnc library.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:07:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2258 normal SHIPPED_LIVE Moderate: gtk-vnc security, bug fix, and enhancement update 2017-08-01 18:21:01 UTC

Description Adam Mariš 2017-02-03 09:03:39 UTC
It was found that vnc_connection_server_message() and vnc_color_map_set() functions do not check for integer overflow properly, leading to a malicious server being able to overwrite parts of the client memory, possibly leading to remote code execution under privileges of user running the VNC client.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=778050

Upstream patch:

https://git.gnome.org/browse/gtk-vnc/commit/?id=c8583fd3783c5b811590

Comment 1 Adam Mariš 2017-02-03 09:13:14 UTC
Created gtk-vnc tracking bugs for this issue:

Affects: fedora-all [bug 1418955]

Comment 2 Adam Mariš 2017-02-03 09:13:29 UTC
Created mingw-gtk-vnc tracking bugs for this issue:

Affects: fedora-all [bug 1418956]

Comment 3 Adam Mariš 2017-02-06 08:45:22 UTC
CVE assignment:

http://openwall.com/lists/oss-security/2017/02/05/5

Comment 4 Daniel Berrangé 2017-02-07 14:13:31 UTC
Upstream fix in git master is

commit c8583fd3783c5b811590fcb7bae4ce6e7344963e
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Thu Feb 2 18:18:48 2017 +0000

    Correctly validate color map range indexes
    
    The color map index could wrap around to zero causing negative
    array index accesses.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778050
    
    CVE-2017-5885
    
    Signed-off-by: Daniel P. Berrange <berrange@redhat.com>

Comment 9 errata-xmlrpc 2017-08-01 19:57:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2258 https://access.redhat.com/errata/RHSA-2017:2258


Note You need to log in before you can comment on or make changes to this bug.